no-create-missing
来自「实战Linux编程的原代码,希望对学驱动的人能有所帮助」· 代码 · 共 30 行
TXT
30 行
#!/bin/sh# Ensure that touch -c no-such-file no longer fails (it did in 4.1.8).if test "$VERBOSE" = yes; then set -x touch --versionfipwd=`pwd`tmp=`echo "$0"|sed 's,.*/,,'`.tmptrap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0trap '(exit $?); exit' 1 2 13 15framework_failure=0mkdir $tmp || framework_failure=1cd $tmp || framework_failure=1if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 (exit 1); exitfifail=0touch -c no-file > /dev/null 2>&1 || fail=1touch -cm no-file > /dev/null 2>&1 || fail=1touch -ca no-file > /dev/null 2>&1 || fail=1(exit $fail); exit
⌨️ 快捷键说明
复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?